Rasa X is showing error in Anaconda : raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError

On typing RASA X command in Anaconda Prompt, the following error is coming.

Starting Rasa X in local mode… :rocket: 2021-07-24 20:17:08 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-07-24 20:17:10 ERROR concurrent.futures - exception calling callback for <Future at 0x20d75011518 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\hp.conda\envs\rasa1\lib\concurrent\futures\thread.py”, line 56, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\hp.conda\envs\rasa1\lib\socket.py”, line 745, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\hp.conda\envs\rasa1\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\futures.py”, line 417, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 641, in call_soon_threadsafe self._check_closed() File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 381, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-24 20:17:10 ERROR concurrent.futures - exception calling callback for <Future at 0x20d75011da0 state=finished returned list> Traceback (most recent call last): File “c:\users\hp.conda\envs\rasa1\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\futures.py”, line 417, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 641, in call_soon_threadsafe self._check_closed() File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 381, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-24 20:17:10 ERROR concurrent.futures - exception calling callback for <Future at 0x20d75011320 state=finished returned list> Traceback (most recent call last): File “c:\users\hp.conda\envs\rasa1\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\futures.py”, line 417, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 641, in call_soon_threadsafe self._check_closed() File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 381, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\hp.conda\envs\rasa1\lib\asyncio\base_events.py”, line 488, in run_until_complete return future.result() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\hp.conda\envs\rasa1\lib\site-packages\rasax\community\services\stack_service.py”, line 95, in version timeout=timeout_in_seconds, File “c:\users\hp.conda\envs\rasa1\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\hp.conda\envs\rasa1\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

There’s a problem with the current version of Rasa X.

Try to rollback to old versions of Rasa, Rasa SDK, and Rasa X:

pip install rasa==2.5.0 rasa-sdk==2.5.0 rasa-x==0.39.3 -i https://pypi.rasa.com/simple

To be honest, I don’t know how Conda works and if you can use the above command. But the idea stays the same, downgrade Rasa, Rasa SDK, and Rasa X while making sure they stay compatible (see Compatibility Matrix).

1 Like

As @ChrisRahme suggested you can try that OR

Create a fresh python working environment 3.7 or 3.8 with rasa 2.8.0 and rasa-sdk 2.8.1 and install pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

In both the solutions, you can get some dependencies error, I guess that you can deal or if not mention who soever solution you following and we will try to solve your issue. If its common then its lucky day for us :stuck_out_tongue:

I hope you will stick to the plan :slight_smile: If you have further burning questions about why Rasa X latest not working then sorry, we also don’t know yet :wink: Good Luck!

1 Like

@ChrisRahme @nik202 thanks guys… it is working now … The problem was with version mismatch only.

For the readers → I am using

python = 3.7

pip = 21.1.3

tensorflow = 2.x (note not to use tensorflow-gpu)

rasa = 2.8.0

rasa-sdk = 2.8.1

rasa-x = 0.39.3

Commands to use->

conda create --name env_name python=3.7

pip install rasa==2.8.0 rasa-sdk==2.8.1

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

The only problem can come in SQLAchemy package that can be solved by using command →

pip install SQLAlchemy==1.3.22

If facing any problem using pip then use --use-deprecated=legacy-resolver with pip command.

These are the installation commands for the Anaconda 3 on windows 10.

Thank you

2 Likes

Thanks for providing your solution for future readers :slight_smile:

@yuvi.101 Nice,congratulations. Please close this topic with a solution for others. Good luck! @yuvi.101 Mark this thread as solution Rasa X is showing error in Anaconda : raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError - #5 by yuvi.101

Thanks so much for posting this! You saved me there.